import React, { useGlobal } from "reactn";

const FirstComponent = () => {
  const [ global, setGlobal ] = useGlobal();

  /**
   * Using SetGlobal function that we define.
   */
  const increment = () => setGlobal((state => ({
       count: state.count + 1
      }))
  )
      
  /**
   * Using useGlobal function that we import from reactn
   */
  const decrement = useGlobal(state => ({
    count: state.count - 1
  }));

  return (
    <div>
      <p>Count: {global.count}</p>
      <button onClick={() => increment()}>+</button>
      <button onClick={() => decrement()}>-</button>
    </div>
  );
}

export default FirstComponent;